QGIS Application - Bug report #13509
qt5: segfault on startup in qgsbrowserdockwidget.cpp's showEvent function
2015-10-04 09:01 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Normal

Assignee: Radim Blazek

Category: Browser

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 21553
Description

QGIS compiled using Qt5 libraries segfaults on startup due to a setResizeMode() call in the QgsBrowserDockWidget::showEvent function
(agsbrowserdockwidget.cpp line 561). If | comment out that line, QGIS successfully starts.

| only see one column in the browser panel, so I'm not entirely sure what the second setResizeMode() call (the problematic one) is for. It'd
be nice to fix this as it's the only issue that prevents a functional QGIS-Qt5 build out of the box.

The segfault occurs on my ubuntu machine, which is running the upcoming Wily release. The qt5 version is 5.4.2.

Associated revisions

Revision 890dce86 - 2015-10-05 09:33 AM - Radim Blazek

removed setResizeMode on non-existent browser column, fixes #13509

History

#1 - 2015-10-05 12:34 AM - Radim Blazek
- Status changed from Open to Closed

Fixed in changeset commit:"890dce86aaf741c7460591d06016b0d66f39ccdc”.

#2 - 2015-10-05 12:39 AM - Radim Blazek

The second column really does not exist. | think that setting its resize mode was part of the trick to get horizontal scroll bar instead of ellipses. It it seems to
work without that.
